VULKAN_HPP_NAMESPACE::VertexInputBindingDescription Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| VertexInputBindingDescription (uint32_t binding_=0, uint32_t stride_=0, VertexInputRate inputRate_=VertexInputRate::eVertex)
| VertexInputBindingDescription (VkVertexInputBindingDescription const &rhs)
VertexInputBindingDescription & | operator= (VkVertexInputBindingDescription const &rhs)
VertexInputBindingDescription & | setBinding (uint32_t binding_)
VertexInputBindingDescription & | setStride (uint32_t stride_)
VertexInputBindingDescription & | setInputRate (VertexInputRate inputRate_)
| operator VkVertexInputBindingDescription const & () const
| operator VkVertexInputBindingDescription & ()
bool | operator== (VertexInputBindingDescription const &rhs) const
bool | operator!= (VertexInputBindingDescription const &rhs) const

## Data Fields

uint32_t | binding
uint32_t | stride
VertexInputRate | inputRate

## Detailed Description

Definition at line 8730 of file vulkan.hpp.

## Constructor & Destructor Documentation

## VertexInputBindingDescription() [1/2]

VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::VertexInputBindingDescription | ( | uint32_t | binding_ = `0`,
|  | uint32_t | stride_ = `0`,
|  | VertexInputRate | inputRate_ = `VertexInputRate::eVertex`
| ) |  |

inline

Definition at line 8732 of file vulkan.hpp.

: binding( binding_ )
, stride( stride_ )
, inputRate( inputRate_ )
{
}

## VertexInputBindingDescription() [2/2]

VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::VertexInputBindingDescription | ( | VkVertexInputBindingDescription const & | rhs | ) |

inline

Definition at line 8741 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( VertexInputBindingDescription ) );
}

References memcpy.

## Member Function Documentation

## operator VkVertexInputBindingDescription &()

VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::operator VkVertexInputBindingDescription & | ( |  | ) |

inline

Definition at line 8774 of file vulkan.hpp.

{
return *reinterpret_cast<VkVertexInputBindingDescription*>(this);
}

## operator VkVertexInputBindingDescription const &()

VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::operator VkVertexInputBindingDescription const & | ( |  | ) | const

inline

Definition at line 8769 of file vulkan.hpp.

{
return *reinterpret_cast<const VkVertexInputBindingDescription*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::operator!= | ( | VertexInputBindingDescription const & | rhs | ) | const

inline

Definition at line 8786 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

VertexInputBindingDescription& VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::operator= | ( | VkVertexInputBindingDescription const & | rhs | ) |

inline

Definition at line 8746 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( VertexInputBindingDescription ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::operator== | ( | VertexInputBindingDescription const & | rhs | ) | const

inline

Definition at line 8779 of file vulkan.hpp.

{
return ( binding == rhs.binding )
&& ( stride == rhs.stride )
&& ( inputRate == rhs.inputRate );
}

References binding, inputRate, and stride.

Referenced by operator!=().

## setBinding()

VertexInputBindingDescription& VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::setBinding | ( | uint32_t | binding_ | ) |

inline

Definition at line 8751 of file vulkan.hpp.

{
binding = binding_;
return *this;
}

References binding.

## setInputRate()

VertexInputBindingDescription& VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::setInputRate | ( | VertexInputRate | inputRate_ | ) |

inline

Definition at line 8763 of file vulkan.hpp.

{
inputRate = inputRate_;
return *this;
}

References inputRate.

## setStride()

VertexInputBindingDescription& VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::setStride | ( | uint32_t | stride_ | ) |

inline

Definition at line 8757 of file vulkan.hpp.

{
stride = stride_;
return *this;
}

## Field Documentation

## binding

uint32_t VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::binding

Definition at line 8791 of file vulkan.hpp.

Referenced by operator==(), and setBinding().

## inputRate

VertexInputRate VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::inputRate

Definition at line 8793 of file vulkan.hpp.

Referenced by operator==(), and setInputRate().

## stride

uint32_t VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::stride

Definition at line 8792 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::inputRate
VertexInputRate inputRate
Definition: vulkan.hpp:8793
VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::operator==
bool operator==(VertexInputBindingDescription const &rhs) const
Definition: vulkan.hpp:8779
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkVertexInputBindingDescription
Definition: vulkan_core.h:2307
VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::VertexInputBindingDescription
VertexInputBindingDescription(uint32_t binding_=0, uint32_t stride_=0, VertexInputRate inputRate_=VertexInputRate::eVertex)
Definition: vulkan.hpp:8732
VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::stride
uint32_t stride
Definition: vulkan.hpp:8792
stride
GLsizei stride
Definition: SDL_opengl_glext.h:378
VULKAN_HPP_NAMESPACE::VertexInputBindingDescription::binding
uint32_t binding
Definition: vulkan.hpp:8791